import request from '@/utils/request'

// 查询aiSIP外呼阿里云音色列表
export function listAiSipCallVoiceTtsAliyun(query) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼阿里云音色详细
export function getAiSipCallVoiceTtsAliyun(id) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun/' + id,
    method: 'get'
  })
}

// 新增aiSIP外呼阿里云音色
export function addAiSipCallVoiceTtsAliyun(data) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼阿里云音色
export function updateAiSipCallVoiceTtsAliyun(data) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼阿里云音色
export function delAiSipCallVoiceTtsAliyun(id) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun/' + id,
    method: 'delete'
  })
}

// 导出aiSIP外呼阿里云音色
export function exportAiSipCallVoiceTtsAliyun(query) {
  return request({
    url: '/company/aiSipCall/voiceTtsAliyun/export',
    method: 'get',
    params: query
  })
}
